# SNESSetUpdate

Sets the general-purpose update function called at the beginning o every iteration of the nonlinear solve. Specifically it is called just before the Jacobian is "evaluated".

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESSetUpdate(SNES snes, PetscErrorCode (*func)(SNES, PetscInt))

Collective on SNES

### Input Parameters

snes -The nonlinear solver context
func -The function

### Calling sequence of func

func (SNES snes, PetscInt step); -
step -The current step of the iteration

### Keywords

SNES, update

### See Also

SNESDefaultUpdate(), SNESSetRhsBC(), SNESSetSolutionBC()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages